API Sandbox

Test the Safety Certification API interactively. Edit the JSON, choose an endpoint, and click Certify.

Quick Start -- curl Example

curl -X POST https://api.qaesubstrate.com/api/v2/certify \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer qae_your_api_key" \
  -d '{
    "action_id": "demo-trade-001",
    "agent_id": "demo-agent",
    "state_deltas": [
      {"dimension": "market_risk", "from_value": 0.3, "to_value": 0.5}
    ],
    "priority": "standard",
    "portfolio": {
      "id": "demo-portfolio",
      "name": "Demo Portfolio",
      "base_currency": "USD",
      "as_of": "2026-03-15T00:00:00Z",
      "positions": [{
        "id": "p1",
        "ticker": "AAPL",
        "asset_type": "Equity",
        "sector": "InformationTechnology",
        "currency": "USD",
        "quantity": 1000,
        "market_value": 175000,
        "weight": 1.0,
        "factor_exposures": [0.8, 0.2, -0.1]
      }]
    },
    "market_data": {
      "as_of": "2026-03-15T00:00:00Z",
      "risk_free_rate": 0.05,
      "prices": {"AAPL": 175.0},
      "returns": {},
      "volatilities": {"AAPL": 0.25},
      "credit_spreads": {},
      "fx_rates": {}
    }
  }'
Request
Response
Click "Certify" or "Try It" to begin.